%define version 2.18.0
%define release %mkrel 1

%define gtkmm_version 2.4.0
%define libgnome_version 2.6.0

%define major 1

%define pkgname libgnomemm
%define api_version 2.6
%define libname_orig	%mklibname gnomemm %api_version
%define libname		%mklibname gnomemm %api_version %{major}

Summary: 	A C++ wrapper for libgnome
Name: 		%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	gtkmm2.4-devel >= %{gtkmm_version}
BuildRequires:	libgnome2-devel >= %{libgnome_version}
Buildrequires:	doxygen

%description
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}
Requires:	libgnome2-devel >= %{libgnome_version}

%description -n %{libname}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{pkgname},
the C++ interface to libgnome library.

It is necessary when compiling applications which use %{pkgname} as well.

%prep
%setup -q -n %{pkgname}-%{version}
touch configure

%build
%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

###########################################################################


%changelog
* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140350
- new version

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
+ Revision: 103072
- Import libgnomemm2.6


* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
- Rebuild

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.14.0-3mdv2007.0
- rebuild w/o selinux on x86_64

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-2mdv2007.0
- Rebuild to drop obsolete howl dependency

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2
- use mkrel

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Sat Oct 08 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix devel provides

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- source URL
- New release 2.10

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- New release 2.8.0

* Sun Jun 20 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-2mdk
- Rebuild with new g++
- reenable libtoolize

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- New major release

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-2mdk
- Rebuild

* Sat Oct 18 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- 2.0.1
- Remove patch0 (upstream)

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0
- Patch0: Fix library name in .pc files (was using libgnomemm-1.3)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.10-1mdk
- 1.3.10

* Tue Jul  9 2002 Abel Cheung <maddog@linux.org.hk> 1.3.5-1mdk
- 1.3.5 (GNOME 2)
- First Mandrake spec, based on original spec inside source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
